## org.hibernate.util
Class XMLHelper.ErrorLogger

    java.lang.Object
      org.hibernate.util.XMLHelper.ErrorLogger

All Implemented Interfaces:
  ErrorHandler

Enclosing class:
  XMLHelper

    public static class XMLHelper.ErrorLogger

extends Object
implements ErrorHandler

Method Summary
`void` `error(SAXParseException error)`
`void` `fatalError(SAXParseException error)`
`void` `warning(SAXParseException warn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### error

    public void error(SAXParseException error)

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(SAXParseException error)

  Specified by:
    `fatalError` in interface `ErrorHandler`

### warning

    public void warning(SAXParseException warn)

  Specified by:
    `warning` in interface `ErrorHandler`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.